Search for a derivative, tangent, or curvature discontinuity in a curve object.
Rhino.CurveDiscontinuity (strObject, intType, dblAngleTolerance])
strObject |
Required. String. The object's identifier. |
||||||||||||
intStyle |
Required. Number. The type of continuity to test for. The types of continuity are as follows:
|
||||||||||||
dblAngleTolerance |
Optional. Number. The angle tolerance in degrees. If omitted, Rhino's internal angle tolerance of 1.0 degrees is used. The minimum allowable angle tolerance is 0.1 degrees. |
Array |
An array of 3-D points where the curve is discontinuous if successful. |
Null |
If not successful, or on error. |
Dim strObject, arrPoints
strObject = Rhino.GetObject("Select a curve", 4)
If Rhino.IsCurve(strObject) Then
arrPoints = Rhino.CurveDiscontinuity(strObject, 2)
If IsArray(arrPoints) Then
Rhino.AddPoints arrPoints
End If
End If